Subject: new button states

From: Matthias Clasen <[email-masked]>
Date: Sun, 23 May 1999 00:48:34 +0200

I have just committed a patch which adds three new button states to the 
TitleButton struct. 
This eats up most of the memory savings which I achieved by shrinking the 
ButtonFace struct, but I think it is worth it. Since the toggled states
will only be used for maximize, shade and stick buttons, it may be
a good idea to change the TitleButton struct in a way so that button 
states are only allocated for buttons which need them.  

Here is a little example showing the new button facilities in action: 

AddToDecor Default
 + ButtonStyle 6 ActiveUp          Vector 4 50x25@1 85x75@0 15x75@0 50x25@1 
 + ButtonStyle 6 ActiveDown        Vector 4 50x25@1 85x75@0 15x75@0 50x25@1 
 + ButtonStyle 6 Inactive          Vector 4 50x25@1 85x75@0 15x75@0 50x25@1 
 + ButtonStyle 6 ToggledActiveUp   Vector 4 50x75@0 85x25@1 15x25@0 50x75@0 
 + ButtonStyle 6 ToggledActiveDown Vector 4 50x75@0 85x25@1 15x25@0 50x75@0 
 + ButtonStyle 6 ToggledInactive   Vector 4 50x75@0 85x25@1 15x25@0 50x75@0 
 + ButtonStyle 6 - MWMDecorShade
 + ButtonStyle 8 - MWMDecorStick
Mouse 0 6 N WindowShade
Mouse 0 8 N Stick

-- 
Matthias Clasen, 
Tel. 0761/203-5606
Email: [email-masked]
Mathematisches Institut, Albert-Ludwigs-Universitaet Freiburg
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]